package dk.brics.bisim.controller;

/**
 * Interface for computer players.
 * @author Martin Mosegaard <a href="mailto:martinm@daimi.au.dk">martinm@daimi.au.dk</a>
 *
 */
public interface AI extends Runnable {

	/**
	 * A fixed amount of milliseconds to sleep before making a move.
	 * AIs use it to appear to be thinking very hard. 
	 */
	static final int AI_SLEEP = 2000;	

	/**
	 * Tell the AI to stop running.
	 */
	public void kill();
		
}
